Get a KB article
GET
/projects/{projectId}/kb/articles/{articleId}
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
articleId
string
required
path
Responses
200
Article
application/jsondata
object
id
string
project_id
string
title
string
slug
string
content
string
Markdown body
category
string | null
status
string
Enum:
draft, published, archivedis_public
boolean
view_count
integer
helpful_count
integer
not_helpful_count
integer
ai_generated
boolean
created_at
string (date-time)
updated_at
string (date-time)
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/kb/articles/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/kb/articles/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/kb/articles/string', headers=headers)print(response.json())
200
Response
{ "data": { "id": "<string>", "project_id": "<string>", "title": "<string>", "slug": "<string>", "content": "<string>", "category": "<string>", "status": "draft", "is_public": true, "view_count": 123, "helpful_count": 123, "not_helpful_count": 123, "ai_generated": true, "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
GET
/projects/{projectId}/kb/articles/{articleId}